#
# spec file for package rep-gtk
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2007 Jan Nieuwenhuizen <jnieuwenhuizen@novell.com>
# Copyright (c) 2000 John Harper <john@dcs.warwick.ac.uk>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rep-gtk
Version:        0.90.8.2
Release:        bp153.1.18
Summary:        GTK+ binding for librep Lisp environment
License:        GPL-2.0+
Group:          Development/Libraries/GNOME
Url:            http://sawfish.wikia.com/wiki/Rep-GTK
Source:         http://download.tuxfamily.org/librep/rep-gtk/%{name}_%{version}.tar.xz
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.23.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.24.0
BuildRequires:  pkgconfig(librep) >= 0.92.1
%if 0%{?suse_version} <= 1210
BuildRequires:  xz
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
This is a binding of GTK+ for the rep Lisp system. It is based on
Marius Vollmer's guile-gtk binding (initially version 0.15, updated to
0.17), with a new glue-code generator.

%package devel
Summary:        GTK+ binding for librep Lisp environment - Development Files
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       pkgconfig(gtk+-2.0) >= 2.24.0
Requires:       pkgconfig(librep) >= 0.92.1

%description devel
This is a binding of GTK+ for the rep Lisp system. It is based on
Marius Vollmer's guile-gtk binding (initially version 0.15, updated to
0.17), with a new glue-code generator.

%prep
%setup -q -n %{name}_%{version}
chmod -x examples/*.jl

%build
%configure
%__make %{_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name "*.la" -delete

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING examples/ NEWS README README.gtk-defs README.guile-gtk TODO *.defs
%{_libdir}/rep/gui/

%files devel
%defattr(-,root,root)
%{_includedir}/rep-gtk/
%{_libdir}/pkgconfig/rep-gtk.pc

%changelog
* Mon Sep  1 2014 toganm@opensuse.org
- Update to 0.90.8.2
  * improved debian packaging scripts
  * fixed address of FSF in COPYING
  * update supplied autotools stuff
- Remove backported 0001-fix-address-of-FSF.patch
* Sat Nov  3 2012 toganm@opensuse.org
- remove unneeded *.la files
* Mon Jul  2 2012 toganm@opensuse.org
- Update to 0.90.8.1:
  + fixed bug that prevented uninstallation of rep-gtk
- spec cleanup
  + BuildRequires xz if openSUSE 12.1 or older
  + backported 0001-fix-address-of-FSF.patch
* Wed Apr 11 2012 vuntz@opensuse.org
- Update to version 0.90.8:
  + fixed building on ARM
- Changes from version 0.90.7:
  + re-arranged tree (all new widget-definitons in
    widgets/<widget>)
  + add new API wrappers, fix some API wrappers, stop wrapping some
    deprecated API (see NEWS for details)
- Changes from version 0.90.6:
  + updated for changes in installation-paths in librep 0.92.0
  + combined gtk and gtk-types modules
  + build fixes
- Changes from version 0.90.5:
  + build fixes
- Changes from version 0.90.4:
  + add new API wrappers, fix some API wrappers (see NEWS for
    details)
  + updated documentation
- Changes from version 0.90.3:
  + SCM_CDR/SCM_CAR >> rep_CDR/rep_CAR
  + add new API wrappers, fix some API wrappers (see NEWS for
    details)
- Drop rep-gtk-fix-binding.patch: fixed upstream.
* Fri Jan 15 2010 vuntz@opensuse.org
- Update to version 0.90.2:
  + install header to $includedir/rep-gtk
  + autotools (Makefile & Co.) rework
  + add support for many GTK+ API
- Remove call to autogen.sh: not needed anymore since we have a
  configure script now.
- Add rep-gtk-fix-binding.patch to fix some obvious errors.
* Mon Dec 28 2009 vuntz@opensuse.org
- Fix build on x86_64: files were moved from libexecdir to libdir,
  because of librep 0.90.4.
* Sat Dec 19 2009 vuntz@opensuse.org
- Update to version 0.90.1:
  + Add GtkUiManager support.
  + Add GtkAction support.
  + Add support for a few others API.
  + Build system fixes.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 0.90.0:
  + GError support
  + Basic GtkBuilder support
  + Many API added
  + Removed deprecated API:
  - GtkPreview*
  - GtkSignalRunType
  - GtkSubMenuDirection
  - GtkSubMenuPlacement
* Fri Jul 31 2009 vuntz@novell.com
- Update to version 0.18.6:
  + fixup %%files section in .spec
  + add --libdir=%%{_libdir} to configure flags in .spec
  + require gtk2 instead of gtk+ in .spec
- Add call to ./autogen.sh since the tarball is missing the
  configure script.
* Sun Jun 14 2009 vuntz@novell.com
- Clean up package.
- Update to 0.18.5:
  + note that the libglade and GNOME bindings have been removed.
